# Interface OtpTransport

All Known Implementing Classes:
  `OtpSocketTransport`

public interface OtpTransport
Client-side connection-oriented transport interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`InputStream`
`getInputStream()`
`OutputStream`
`getOutputStream()`

## Method Details

### getInputStream

InputStream getInputStream() throws IOException

Throws:
  `IOException`
See Also:
  - `Socket.getInputStream()`

### getOutputStream

OutputStream getOutputStream() throws IOException

Throws:
  `IOException`
See Also:
  - `Socket.getOutputStream()`

### close

void close() throws IOException

Throws:
  `IOException`
See Also:
  - `Socket.close()`